# Copyright 2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

PYTHON_COMPAT=( python{3_4,3_5,3_6,3_7} )

inherit distutils-r1

DESCRIPTION="Autosuspend server"
HOMEPAGE="https://github.com/languitar/autosuspend/"
SRC_URI="https://github.com/languitar/${PN}/archive/release-${PV}.tar.gz -> "${P}.tar.gz""

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="mpd"

S="${WORKDIR}/${PN}-release-${PV}/"
PATCHES=( "${FILESDIR}"/0001-fixes-installdir-for-config-files.patch )
DEPEND="dev-python/psutil
	mpd? ( dev-python/python-mpd )"
RDEPEND="${DEPEND}"
